Subject: [netmod] AD review of draft-ietf-netmod-syslog-model-20

From: Benoit Claise <[email-masked]>
Date: Wed, 14 Feb 2018 14:18:42 +0100

Dear all,

- the draft is NMDA compliant, right? It should be mentioned.
Ex: draft-ietf-netmod-rfc7223bis-03, in the abstract and intro

    The YANG model in this document conforms to the Network Management
    Datastore Architecture defined in I-D.ietf-netmod-revised-datastores.

- As mentioned in the writeup, [I-D.ietf-netmod-yang-tree-diagrams] 
should be an informative reference, not normative.

- Editorial:
OLD:
This draft addresses the common leafs
NEW:
This document addresses the common leafs

Please publish a new version asap.
In the mean time, I'm sending this draft to IETF LC.

Regards, Benoit

---

From: Kent Watsen <[email-masked]>
Date: Wed, 14 Feb 2018 18:03:43 +0000

Buggers, I thought we caught that tree-diagrams informative/normative thing before.

Regardless, Clyde, please note that I think I was wrong before from the shepherd write-up regarding idnits having a problem:

"""
  == Unused Reference: 'I-D.ietf-netconf-keystore' is defined on line 1340,
     but no explicit reference was found in the text
     '[I-D.ietf-netconf-keystore] Watsen, K., "YANG Data Model for a "Keys...'

   This is a bug in idnits, whereby a reference that splits two lines is
   not found.
"""

Looking at the XML, it seems that references are not specified correctly.

CURRENT:

        <t>This module imports typedefs from [RFC7223], groupings from
        [I-D.ietf-netconf-keystore], and [I-D.ietf-netconf-tls-client-server], and it references [RFC5424],
        [RFC5425], [RFC5426], and [RFC5848] and [Std-1003.1-2008].</t>

SHOULD BE:

        <t>This module imports typedefs from <xref target="RFC7223"/>, groupings from
        <xref target="I-D.ietf-netconf-keystore"/>, and <xref target="I-D.ietf-netconf-tls-client-server"/>, and it references <xref target="RFC5424"/>,
        <xref target="RFC5425"/>, <xref target="RFC5426"/>, and <xref target="RFC5848"/> and <xref target="Std-1003.1-2008"/>.</t>

Right?

And while you're at it, please update the reference to the tree-diagrams draft (-06 is current).  Also, missing is an RFC Editor note requesting that the I-D reference to be updated to reflect the assigned RFC number.

Please also address these issues when posting -21 to address Benoit's issues.  Please post -21 ASAP as Benoit has already placed this draft on the IESG telechat in a couple weeks.

Thanks,
Kent // shepherd

On 2/14/18, 8:18 AM, "netmod on behalf of Benoit Claise" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Dear all,

- As mentioned in the writeup, [I-D.ietf-netmod-yang-tree-diagrams] should be an informative reference, not normative.

- Editorial:
OLD:

Regards, Benoit

---

From: "t.petch" <[email-masked]>
Date: Tue, 20 Feb 2018 16:43:50 -0000

----- Original Message -----
From: "Kent Watsen" <[email-masked]>
Sent: Wednesday, February 14, 2018 6:03 PM

> Regardless, Clyde, please note that I think I was wrong before from
the shepherd write-up regarding idnits having a problem:
>         [I-D.ietf-netconf-keystore], and
[I-D.ietf-netconf-tls-client-server], and it references [RFC5424],
>         <xref target="I-D.ietf-netconf-keystore"/>, and <xref
target="I-D.ietf-netconf-tls-client-server"/>, and it references <xref
target="RFC5424"/>,
>         <xref target="RFC5425"/>, <xref target="RFC5426"/>, and <xref
target="RFC5848"/> and <xref target="Std-1003.1-2008"/>.</t>
>
> Right?
>
> And while you're at it, please update the reference to the
tree-diagrams draft (-06 is current).  Also, missing is an RFC Editor
note requesting that the I-D reference to be updated to reflect the
assigned RFC number.

Kent

You illustrate beautifully the problem I would like a solution to.

The current thinking AFAICT is that
tree-diagrams
should be an Informative Reference.

Therefore, the RFC Editor will not hold publication until an RFC number
is assigned.

Therefore, a note asking the I-D reference to be updated to reflect the
assigned RFC number is null - the RFC can be published with the
reference as an i-d and not as an RFC which is what I expect the RFC
Editor to do.

QED

Note that this is not the case of a Normative i-d reference being buried
in the YANG module and not being.noticed by the RFC Editor; that problem
I am content with.

Tom Petch

>
> Please also address these issues when posting -21 to address Benoit's
issues.  Please post -21 ASAP as Benoit has already placed this draft on
the IESG telechat in a couple weeks.
>
> Thanks,
> Kent // shepherd
>
>
> On 2/14/18, 8:18 AM, "netmod on behalf of Benoit Claise"
<[email-masked]<mailto:[email-masked]> on behalf of
> In the mean time, I'm sending this draft to IETF LC.

------------------------------------------------------------------------
--------

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Kent Watsen <[email-masked]>
Date: Tue, 20 Feb 2018 17:06:18 +0000

> The current thinking AFAICT is that tree-diagrams

Except I know that this draft will be stuck in MISREF state and tree-diagrams
will in fact be assigned an RFC number by the time this draft is published.

K.

> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwICaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=cJ7MVnQVc1hgxpVF7oYiVn6Rbm-Qf2dDyrfYhL-s9io&s=u0Hn9GkO-B0jUGm1MnIQ4x4AgIZNXHBIaZhTPmt3dC8&e=
>

---

From: "Clyde Wildes (cwildes)" <[email-masked]>
Date: Wed, 21 Feb 2018 21:21:27 +0000

Kent, Tom, Yaron, and Ron,

A new version of the draft-ietf-netmod-syslog-model has been published that addresses your concerns.

Thanks,

Clyde

On 2/20/18, 9:06 AM, "netmod on behalf of Kent Watsen" <[email-masked] on behalf of [email-masked]> wrote:

    

    K.

---

From: "t.petch" <[email-masked]>
Date: Thu, 22 Feb 2018 16:49:51 -0000

----- Original Message -----
From: "Kent Watsen" <[email-masked]>
To: "t.petch" <[email-masked]>; "NETMOD Working Group"
<[email-masked]>
Sent: Tuesday, February 20, 2018 5:06 PM

Kent

Corner case:-)

You cannot know in general that drafts that appear as Informational
References and which are referenced from within a YANG module will be
published before the referencing I-D will be and so will have a RFC
number which can be inserted by the RFC Editor.

Tom Petch

> > In the mean time, I'm sending this draft to IETF LC.
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailma
n_listinfo_netmod&d=DwICaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI
&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=cJ7MVnQVc1hgxpVF7oYiVn6
Rbm-Qf2dDyrfYhL-s9io&s=u0Hn9GkO-B0jUGm1MnIQ4x4AgIZNXHBIaZhTPmt3dC8&e=

---

From: "t.petch" <[email-masked]>
Date: Thu, 22 Feb 2018 17:04:50 -0000

----- Original Message -----
From: "Clyde Wildes (cwildes)" <[email-masked]>
Sent: Wednesday, February 21, 2018 9:21 PM

> A new version of the draft-ietf-netmod-syslog-model has been published
that addresses your concerns.

Optimist:-)

And we can always have fresh concerns:-(

I note that this I-D imports interface-ref  from RFC7223 while
                    draft-ietf-netmod-rfc7223bis
is in the RFC Edittor's queue.  I do not think that there is any reason
not to use the latter.

Tom Petch

>
> Thanks,
>
> Clyde
>
> On 2/20/18, 9:06 AM, "netmod on behalf of Kent Watsen"

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Feb 2018 15:35:08 -0500

>> will in fact be assigned an RFC number by the time this draft is
Note that, for this corner case, the IESG agreed for the tree-diagrams 
to go through expedited processing.
Even if this is an informative reference, it's nicer to get an RFC as a 
reference.

Regards, Benoit

---

From: Kent Watsen <[email-masked]>
Date: Fri, 23 Feb 2018 16:02:38 +0000

Hi Clyde,

Looking at your diff, I see that you aligned the Usage Example text and artwork by making the artwork use the IP address from the text, but you should've instead used the hostname in both locations.  Please see section 3.6 here: https://www.ietf.org/standards/ids/checklist.

Also, I see that you moved the Editorial Note to Section 1.4 (along with a typo in the title, ooops).  This is fine, I guess, though I was thinking instead about something like a top-level "RFC Editor Considerations" near the end [hmmm, a budding BCP? ;)].  Actually, I wish you had explained that the text was not in the Abstract, but in a "<note>" element, and it was just a rendering issue.  It's actually common to use the <note> element for this purpose (sorry for not recognizing it before).  Please also either fix the typo or, better, move the section back to the <note> element.

Kent // shepherd

===== original message =====

Thanks,

Clyde

    

    

    K.

    

    

    [email-masked]<mailto:[email-masked]>> wrote:

    >    Datastore Architecture defined in

    I-D.ietf-netmod-revised-datastores.

    

    --------

    

    netmod mailing list

    [email-masked]

    https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vELsmeOQEHNm4fcyJJKG7EpwwzMBGc-MHvHhSPWRzro&s=jSGwP16XlM6ntMKUF3bkCAwRfRtRwATdly2BlUtx2RA&e=

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 23 Feb 2018 10:05:52 -0800

Kent,

> On Feb 23, 2018, at 8:02 AM, Kent Watsen <[email-masked]> wrote:
> 
> Hi Clyde,
> 
> Looking at your diff, I see that you aligned the Usage Example text and artwork by making the artwork use the IP address from the text, but you should've instead used the hostname in both locations.  Please see section 3.6 here: https://www.ietf.org/standards/ids/checklist <https://www.ietf.org/standards/ids/checklist>.
> 

I had recommended the move of the note from abstract section to the end of the Introduction section. Abstracts cannot have cross-references in them, which the note had. And that was one of the OPS-DIR comments too.

> On 2/20/18, 9:06 AM, "netmod on behalf of Kent Watsen" <[email-masked] <mailto:[email-masked]> on behalf of [email-masked] <mailto:[email-masked]>> wrote:
> 
> 
> 
> 
> 
> 
> 
> 
> 
>> Kent
> 
>> 
> 
>    https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vELsmeOQEHNm4fcyJJKG7EpwwzMBGc-MHvHhSPWRzro&s=jSGwP16XlM6ntMKUF3bkCAwRfRtRwATdly2BlUtx2RA&e= <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwIGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=vELsmeOQEHNm4fcyJJKG7EpwwzMBGc-MHvHhSPWRzro&s=jSGwP16XlM6ntMKUF3bkCAwRfRtRwATdly2BlUtx2RA&e=>
> 
> 
> 
> 
> 
> 
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/netmod <https://www.ietf.org/mailman/listinfo/netmod>
Mahesh Jethanandani
[email-masked]

---

From: Kent Watsen <[email-masked]>
Date: Wed, 28 Feb 2018 18:11:25 +0000

[+benoit]

Mahesh,

That's fine, if we want to put the RFC Editor note into the Introduction, I see that you did the same in the ACL draft.  But there still remains the use of IP addresses (not hostnames) in examples and, if we're fixing that, let's please also fix the typo in the title of Section 1.4.

Clyde, can you please post a v23 that fixes these last two points?

Thanks,
Kent  // shepherd

On 2/23/18, 1:05 PM, "Mahesh Jethanandani" <[email-masked]<mailto:[email-masked]>> wrote:

Kent,

On Feb 23, 2018, at 8:02 AM, Kent Watsen <[email-masked]<mailto:[email-masked]>> wrote:

Hi Clyde,

Looking at your diff, I see that you aligned the Usage Example text and artwork by making the artwork use the IP address from the text, but you should've instead used the hostname in both locations.  Please see section 3.6 here: https://www.ietf.org/standards/ids/checklist<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_standards_ids_checklist&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=N9LJpCJBafHdUNdSOe63fe4yTYxK-wmVz_DgH1cnKjM&s=JrRJ2H8Pa9954dNFWzFQ0xW4hCYHxwnrMtFTBVZyvZI&e=>.

Kent // shepherd

Thanks,

Clyde

On 2/20/18, 9:06 AM, "netmod on behalf of Kent Watsen" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Kent

is assigned.

Editor to do.

QED

   K.

I am content with.

Tom Petch

Thanks,

Kent // shepherd

   <[email-masked]<mailto:[email-masked]><mailto:[email-masked]> on behalf of

   [email-masked]<mailto:[email-masked]><mailto:[email-masked]>> wrote:

Dear all,

- Editorial:

OLD:

NEW:

Regards, Benoit

   --------

netmod mailing list

[email-masked]<mailto:[email-masked]>

   netmod mailing list

   [email-masked]<mailto:[email-masked]>

_______________________________________________
netmod mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/netmod<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_netmod&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=N9LJpCJBafHdUNdSOe63fe4yTYxK-wmVz_DgH1cnKjM&s=UjOEtJcF00aJzZs5hrqaIqWHebO11ugEeMcESrcmX30&e=>

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>